%global systemctl_bin /usr/bin/systemctl

%define rel 5

Name: numad
Version: 0.5
Release: %mkrel %rel.20150602git

Summary: NUMA user daemon

License: LGPLv2
Group: System/Kernel and hardware
URL: https://pagure.io/numad
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#   git clone https://pagure.io/numad.git numad-0.5git
#   tar --exclude-vcs -cJf numad-0.5git.tar.xz numad-0.5git/
Source0: %{name}-%{version}git.tar.xz

Requires: systemd-units, initscripts
Requires(post): systemd-units, initscripts
Requires(preun): systemd-units, initscripts
BuildRequires: systemd-units
# (tv) for macros:
BuildRequires: systemd

ExcludeArch: s390 %{arm}

%description
Numad, a daemon for NUMA (Non-Uniform Memory Architecture) systems,
that monitors NUMA characteristics and manages placement of processes
and memory to minimize memory latency and thus provide optimum performance.

%prep
%setup -q -n %{name}-%{version}git

%build
make CFLAGS="$RPM_OPT_FLAGS -std=gnu99" LDFLAGS="$RPM_LD_FLAGS -lpthread -lrt -lm"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 numad.service %{buildroot}%{_unitdir}/
install -p -m 644 numad.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
make install prefix=%{buildroot}/usr

%files
%{_bindir}/numad
%{_unitdir}/numad.service
%config(noreplace) %{_sysconfdir}/logrotate.d/numad
%doc %{_mandir}/man8/numad.8.*

%post
%systemd_post numad.service
true

%preun
%systemd_preun numad.service
true

%postun
%systemd_postun numad.service
true



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.5-5.20150602git.mga10
+ Revision: 2210785
- Mageia 10 Mass Rebuild

* Thu Mar 24 2022 umeabot <umeabot> 0.5-4.20150602git.mga9
+ Revision: 1824223
- Mageia 9 Mass Rebuild

* Thu Mar 05 2020 daviddavid <daviddavid> 0.5-3.20150602git.mga8
+ Revision: 1554014
- Mageia 8 Mass Rebuild

* Tue Sep 11 2018 wally <wally> 0.5-2.20150602git.mga7
+ Revision: 1258423
- rebuild for aarch64

* Thu Sep 06 2018 tv <tv> 0.5-1.20150602git.mga7
+ Revision: 1257487
- bypass BS
- BR systemd for macros
- imported package numad


* Thu Sep 06 2018 Thierry Vignaud <tv@mageia.org> 0.5-1.20150602git.mga7
- import from FC
